Bug 165947 - No output for tests in the test results window
No output for tests in the test results window
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Test Runner
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Erno Mononen
issues@obsolete
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 13:23 UTC by Erno Mononen
Modified: 2009-05-29 15:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2009-05-25 13:23:03 UTC
There are some synchronazition issues in creating the IOContainer for ResultDisplayHandler; in certains cases 
RDH#displayOuput gets called before the IOContainer has been created, causing this output not to be printed to the 
output pane in the test results window. Also, sometimes no node is displayed either. This is easily reproducible in 
Ruby (with MRI, probably because of the faster execution, no startup delay), but affects also the Java and other test 
runners. Reproducbile e.g. with the following steps in Ruby:

1. create a new Ruby app
2. create a new test file
3. make the test output something and pass (and make sure it runs fast) =>  no output displayed, no node for the test 

(You may need to close the window and run the test a few times to see the problem)

I have a fix for this, so assigning for myself. I think this needs to be fixed for 6.7 FCS.
Comment 1 Erno Mononen 2009-05-25 13:59:09 UTC
Fixed in http://hg.netbeans.org/ruby-main/rev/bd9a8a4b4b46 - Andrey, can you please review the fix? As agreed with QA 
I'm increasing the priority to P1 (based on the fact that this is not Ruby specific, can happen in Java/PHP/Python as 
well).
Comment 2 Martin Schovanek 2009-05-25 15:47:07 UTC
Fix verified in ruby continuous build by QE.
Comment 3 Quality Engineering 2009-05-26 07:31:22 UTC
Integrated into 'main-golden', will be available in build *200905260201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bd9a8a4b4b46
User: Erno Mononen <emononen@netbeans.org>
Log: #165947: No output for tests in the test results window
Comment 4 Erno Mononen 2009-05-26 09:59:04 UTC
I'd need to get the fix reviewed soon so that I can send an email to the reviewers alias (as per http://
wiki.netbeans.org/NB67HighResistance). Andrey, can you please do that? Thanks.
Comment 5 Marian Mirilovic 2009-05-26 14:49:58 UTC
keep opened for 6.7
Comment 6 Andrey Yamkovoy 2009-05-26 16:31:17 UTC
It looks fine for me.
Comment 7 Marian Mirilovic 2009-05-28 08:38:00 UTC
Erno,
this is already fixed in release67, isn't it ?

http://hg.netbeans.org/release67/rev/afd678c0a476
Comment 8 Erno Mononen 2009-05-28 08:53:28 UTC
Yes, I apparently forgot to add the keyword - thanks.
Comment 9 Marian Mirilovic 2009-05-28 10:07:05 UTC
... and mark issue as FIXED
Comment 10 Martin Schovanek 2009-05-29 15:56:56 UTC
Verified in release67 by QE.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo